Subject: Re: rshd
From: Christoph Kukulies <[email-masked]>
To: Corinna Vinschen <[email-masked]>
Cc: Christoph Kukulies <[email-masked]>, [email-masked]
Date: Wed, 10 May 2000 12:34:33 +0200

On Sun, May 07, 2000 at 06:07:42PM +0200, Corinna Vinschen wrote:
> Christoph Kukulies wrote:
> > 
> > Does anyone know whether there is a working rshd (inetd.rshd)
> > for cygwin ?
> > 
> > I'm still living and cannot live anymore with this 10 min
> > timeout limit of rshsvc from the NT Resource Kit.
> 
> ?!?!?!?!
> 
> Would you please describe that effect in more detail?

The RSHSVC.HTM Doc file contains the following
note at the end:

  "The Remote Shell service can be used to start batch files containing
  commands such as dir, ls, and tlist. However, running command-line
  commands from batch files is not always successful. For example, if you
  use the Remote Shell service, and include the command start cmd vi to
  start the vi interactive editor, the RSH client may wait for a time-out
  period. The default time-out is 10 minutes. When the client tries to
  run a command, the RSH server waits for the command to finish. The
  default time-out period is 10 minutes. This limitation means that the
  client cannot currently run a command that takes more than 10 minutes
  to complete. "

> 
> You won't believe it, it sounds _exactly_ like the timeout
> problem that I experienced while trying to port rshd to
> cygwin 1.1. I have tried anything that's coming in my mind
> but nothing ever helped to avoid that timeout problem.

They do not mention the cause for this limitation but I suspect the
reason for this can be found in the code. Whereelse? NT?

> 
> Commonly I'm thinking that it's my fault but your mail
> gave me a new hope... Maybe it's an error in winsock???

I would be interested in a port. Do you have one?
There is this WRSHDNT-V3 from our countryfellow Markus Fischer
but you have to register and I don't particularly like
to spend a bunch of bucks for a utility program which is
in the PD sourcewise anyway. 

> 
> Corinna
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

-- 
Chris Christoph P. U. Kukulies [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]